> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rushed.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Add to Watchlist

> Add a company or ticker to the user's watchlist

## Headers

<ParamField header="X-API-Key" type="string" required>Your Rushed API key: `rsh_live_xxxxxxxxxxxx`</ParamField>

## Request Body

<ParamField body="type" type="string" required>
  `company` or `ticker`
</ParamField>

<ParamField body="value" type="string" required>
  Entity ID (for company) or ticker symbol (e.g., `PETR4`)
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://worker.rushed.com.br/api/users/watchlist \
    -H "X-API-Key: rsh_live_xxxxxxxxxxxx" \
    -H "Content-Type: application/json" \
    -d '{"type": "ticker", "value": "PETR4"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 — Success theme={null}
  { "success": true, "data": { "watchlistTickers": ["PETR4", "VALE3"] } }
  ```
</ResponseExample>
